Retrieves a shopping cart by its GUID. Returns all cart details including items, pricing, and status.
Successful operation. Cart details returned.
Unauthorized access.
Cart not found.
curl -i -X GET \ 'https://ws-api.toasttab.com/carts/v1/carts/{guid}' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Toast-Restaurant-External-ID: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
{- "cart": {
- "guid": "ee6a7af7-650d-499b-8e32-58a52ffdb7bc",
- "diningOptionGuid": "c2cfa80e-8c9d-4ee4-bcdb-64e895dfe513",
- "diningOptionBehavior": "string",
- "selections": [
- {
- "externalId": "string",
- "itemGuid": "30f474dc-9435-4955-8c48-8707d4e0fbe9",
- "itemGroupGuid": "93eb340b-ed77-47a1-a49f-68a0f7b01f4a",
- "quantity": 1,
- "unitOfMeasure": "NONE",
- "specialRequest": "string",
- "specialRequests": [
- "string"
], - "modifierSelections": [
- {
- "itemGuid": "30f474dc-9435-4955-8c48-8707d4e0fbe9",
- "optionGroupGuid": "44930a49-c030-4c8d-8e42-1df4147b34de",
- "quantity": 1,
- "unitOfMeasure": "NONE",
- "preModifierGuid": "c83620fe-6403-4a8f-89a5-e7ed29b71cdb",
- "modifierSelections": [
- { }
], - "specialRequest": "string",
- "specialRequests": [
- "string"
]
}
], - "portionModifierSelections": [
- {
- "portionGuid": "71587f77-f554-460f-a6bf-3967bb9caf77",
- "modifierSelections": [
- {
- "itemGuid": null,
- "optionGroupGuid": null,
- "quantity": null,
- "unitOfMeasure": null,
- "preModifierGuid": null,
- "modifierSelections": [ ],
- "specialRequest": null,
- "specialRequests": [ ]
}
]
}
], - "openPriceAmount": 0,
- "openItemName": "string",
- "isComplete": true
}
], - "pricedCheck": {
- "totalAmount": 10,
- "selections": [
- {
- "externalId": "classic-burger",
- "itemGuid": "5721d877-1938-4125-b684-3c765cc068d1",
- "price": 10,
- "quantity": 1,
- "modifiers": [
- { }
]
}
]
}, - "createdDate": "2019-08-24T14:15:22Z",
- "updatedDate": "2019-08-24T14:15:22Z",
- "status": "ACTIVE",
- "transferReason": "STAFF_TAKEOVER"
}, - "problems": [
- {
- "message": "string"
}
]
}